RCUR

Customers

List customers

get https://rcur.app/api/v2/customers

Requires your API key as Authorization: Bearer <key>. See authentication.

Query parameters

  • page integer

    Page number for pagination

    Default: 1

Responses

200 List of customers object
  • data array of Customers
    16 child attributes · Customer
    • id string required
    • number string nullable
    • first_name string required
    • last_name string required
    • email string required
    • phone string nullable
    • organization_name string nullable
    • address string nullable
    • postal_code string nullable
    • city string nullable
    • country string nullable
    • vat_number string nullable
    • locale string nullable

      One of nl en fr de es

    • mollie_customer_id string nullable
    • created_at string required
    • custom_fields array of CustomFieldValues

      Answers to custom fields. Only present when the organization has custom fields.

      5 child attributes · CustomFieldValue
      • field_id string nullable

        Id of the custom field, empty when the field has been deleted since

      • label string required

        The question as it was asked

      • type string required

        One of text textarea number select checkbox date

      • value string nullable required

        The answer: a boolean for a checkbox, a number for a number field, otherwise text (a date as YYYY-MM-DD)

      • display string required

        The answer as readable text

  • links object
    4 child attributes
    • first string
    • last string
    • prev string nullable
    • next string nullable
  • meta object
    7 child attributes
    • current_page integer
    • from integer
    • last_page integer
    • path string
    • per_page integer
    • to integer
    • total integer
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.